<?php


session_start();
include("include/config.php");
include("include/functions/import.php");
$thebaseurl = $config['baseurl'];

$mainmenu = "1";
STemplate::assign('mainmenu',$mainmenu);


//Get Variables
$getsortby = htmlentities(strip_tags($_REQUEST[sortby]));
$sortby = escape($getsortby);
$getfilter = htmlentities(strip_tags($_REQUEST[filter]));
$filter = escape($getfilter);
$getpage = htmlentities(strip_tags($_REQUEST[page]));
$page = escape($getpage);

if ($sortby=="a")
{
	$sort = "asc";
}
else
{
	$sortby = "z";
	$sort = "desc";
}

if($page=="")
{
	$page = "1";
}
$currentpage = $page;

if ($page >=2)
{
	$pagingstart = ($page-1)*$config[items_per_page];
}
else
{
	$pagingstart = "0";
}

if (strlen($filter) >= 4)
{
 //Ensures no input longer than 4 characters is specified as a category id
}
else
{
$query1 = "SELECT count(*) as total from videos where categories='".mysql_real_escape_string($filter)."' AND public='1' AND active='1' order by time_added $sort limit $config[maximum_results]";
$query2 = "SELECT * from videos where categories='".mysql_real_escape_string($filter)."' AND public='1' AND active='1' order by time_added $sort limit $pagingstart, $config[items_per_page]";
$query4 = "SELECT name FROM categories_videos WHERE CATID='".mysql_real_escape_string($filter)."'";
$executequery4=$conn->execute($query4);
$getcategoryname = $executequery4->fields[name];
}
$showtitle = $getcategoryname." ".$lang[41];
$showseotitle = $getcategoryname;

STemplate::assign('showtitle',$showtitle);
STemplate::assign('pagetitle',$showtitle);
STemplate::assign('showseotitle',$showseotitle);
STemplate::assign('filter',$filter);

$executequery1 = $conn->Execute($query1);

$totalvideos = $executequery1->fields['total'];
if ($totalvideos > 0)
{

if($executequery1->fields['total']<=$config[maximum_results])
{
	$total = $executequery1->fields['total'];
}
else
{
	$total = $config[maximum_results];
}

$toppage = ceil($total/$config[items_per_page]);
if($toppage==0)
{
	$xpage=$toppage+1;
}
else
{
	$xpage = $toppage;
}


$executequery2 = $conn->Execute($query2);
$users = $executequery2->getrows();
$beginning=$pagingstart+1;
$ending=$pagingstart+$executequery2->recordcount();

$pagelinks="";
$k=1;
$theprevpage=$currentpage-1;
$thenextpage=$currentpage+1;

if ($currentpage > 0)
{
	$pagelinks.="<ul>";
	
	if($currentpage > 1) 
	{
	$pagelinks.="<li><a href='$thebaseurl/browse/categories/videos/$sortby/$filter/1/$showseotitle' title='first page'>$lang[611]</a></li>";
	$pagelinks.="<li class='page_separator'>...</li>";
	$pagelinks.="<li><a href='$thebaseurl/browse/categories/videos/$sortby/$filter/$theprevpage/$showseotitle'>&laquo; $lang[612]</a></li>";
	};
	
	$counter=0;
	
	$lowercount = $currentpage-5;
	if ($lowercount <= 0) $lowercount = 1;
	
	while ($lowercount < $currentpage)
	{
		$pagelinks.="<li><a href='$thebaseurl/browse/categories/videos/$sortby/$filter/$lowercount/$showseotitle'>$lowercount</a></li>";
		$lowercount++;
		$counter++;
	}
	
	$pagelinks.="<li class='page_current'>$currentpage</li>";
	
	$uppercounter = $currentpage+1;
	
	while (($uppercounter < $currentpage+10-$counter) && ($uppercounter<=$toppage))
	{
		$pagelinks.="<li><a href='$thebaseurl/browse/categories/videos/$sortby/$filter/$uppercounter/$showseotitle'>$uppercounter</a></li>";
		$uppercounter++;
	}
	
	if($currentpage < $toppage) 
	{
	
	$pagelinks.="<li><a href='$thebaseurl/browse/categories/videos/$sortby/$filter/$thenextpage/$showseotitle'>$lang[613] &raquo;</a></li>";
	$pagelinks.="<li class='page_separator'>...</li>";
	$pagelinks.="<li><a href='$thebaseurl/browse/categories/videos/$sortby/$filter/$toppage/$showseotitle' title='last page'>$lang[614]</a></li>";
	};
	
	$pagelinks.="</ul>";

}
}
else
{
	$error = "There are no videos in this category.";
	STemplate::assign('error',$error);
}

//TEMPLATES BEGIN
STemplate::assign('beginning',$beginning);
STemplate::assign('ending',$ending);
STemplate::assign('pagelinks',$pagelinks);
STemplate::assign('total',$total);
STemplate::assign('listvideos',$users);
STemplate::display('header.tpl');
STemplate::display('categoryvideos.tpl');
STemplate::display('footer.tpl');
//TEMPLATES END
?>